Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.tools
Interface Trace

All Known Implementing Classes:
  AbstractTrace, CommonsTrace, DefaultTrace

    public interface Trace

Method Summary
`void` | `debug(java.lang.String message)`
`void` | `enter(java.lang.String methodName, java.lang.Object thiz)`
`void` | `enter(java.lang.String methodName, java.lang.Object thiz, boolean z)`
`void` | `enter(java.lang.String methodName, java.lang.Object thiz, java.lang.Object arg)`
`void` | `enter(java.lang.String methodName, java.lang.Object thiz, java.lang.Object[] args)`
`void` | `error(java.lang.String message)`
`void` | `error(java.lang.String message, java.lang.Throwable th)`
`void` | `event(java.lang.String methodName)`
`void` | `event(java.lang.String methodName, java.lang.Object thiz, java.lang.Object arg)`
`void` | `event(java.lang.String methodName, java.lang.Object thiz, java.lang.Object[] args)`
`void` | `exit(java.lang.String methodName)`
`void` | `exit(java.lang.String methodName, boolean b)`
`void` | `exit(java.lang.String methodName, int i)`
`void` | `exit(java.lang.String methodName, java.lang.Object ret)`
`void` | `exit(java.lang.String methodName, java.lang.Throwable th)`
`void` | `fatal(java.lang.String message)`
`void` | `fatal(java.lang.String message, java.lang.Throwable th)`
`void` | `info(java.lang.String message)`
`boolean` | `isTraceEnabled()`
`void` | `setTraceEnabled(boolean b)`
`void` | `warn(java.lang.String message)`
`void` | `warn(java.lang.String message, java.lang.Throwable th)`

Method Detail

### enter

    void enter(java.lang.String methodName,
               java.lang.Object thiz,
               java.lang.Object[] args)

### enter

    void enter(java.lang.String methodName,
               java.lang.Object thiz)

### exit

    void exit(java.lang.String methodName,
              java.lang.Object ret)

### exit

    void exit(java.lang.String methodName,
              java.lang.Throwable th)

### exit

    void exit(java.lang.String methodName)

### event

    void event(java.lang.String methodName)

### event

    void event(java.lang.String methodName,
               java.lang.Object thiz,
               java.lang.Object[] args)

### debug

    void debug(java.lang.String message)

### info

    void info(java.lang.String message)

### warn

    void warn(java.lang.String message)

### warn

    void warn(java.lang.String message,
              java.lang.Throwable th)

### error

    void error(java.lang.String message)

### error

    void error(java.lang.String message,
               java.lang.Throwable th)

### fatal

    void fatal(java.lang.String message)

### fatal

    void fatal(java.lang.String message,
               java.lang.Throwable th)

### enter

    void enter(java.lang.String methodName,
               java.lang.Object thiz,
               java.lang.Object arg)

### enter

    void enter(java.lang.String methodName,
               java.lang.Object thiz,
               boolean z)

### exit

    void exit(java.lang.String methodName,
              boolean b)

### exit

    void exit(java.lang.String methodName,
              int i)

### event

    void event(java.lang.String methodName,
               java.lang.Object thiz,
               java.lang.Object arg)

### isTraceEnabled

    boolean isTraceEnabled()

### setTraceEnabled

    void setTraceEnabled(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD